Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QAuthenticator

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.network.QAuthenticator

All Implemented Interfaces:
  QtJambiInterface

    public class QAuthenticator

extends QtJambiObject

The `QAuthenticator` class provides an authentication object.

The `QAuthenticator` class is usually used in the authenticationRequired() and proxyAuthenticationRequired() signals of `QHttp` and `QAbstractSocket`. The class provides a way to pass back the required authentication information to the socket when accessing services that require authentication.

See Also:
  `QSslSocket`

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QAuthenticator()` Constructs an empty authentication object
`QAuthenticator(QAuthenticator other)` Constructs a copy of `other`.

Method Summary
`boolean` | `equals(java.lang.Object other)`
`static QAuthenticator` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QAuthenticator instance pointed to by nativePointer
`boolean` | `isNull()` returns true if the authenticator is null.
`static QNativePointer` | `nativePointerArray(QAuthenticator[] array)` This function returns a QNativePointer that is pointing to the specified QAuthenticator array.
`java.lang.String` | `password()` returns the password used for authentication.
`java.lang.String` | `realm()` returns the realm requiring authentication.
`void` | `setPassword(java.lang.String password)` Sets the `password` used for authentication.
`void` | `setUser(java.lang.String user)` Sets the `user` used for authentication.
`java.lang.String` | `user()` returns the user used for authentication.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QAuthenticator

    public QAuthenticator(QAuthenticator other)

  Constructs a copy of `other`.

### QAuthenticator

    public QAuthenticator()

  Constructs an empty authentication object

Method Detail

### isNull

    public final boolean isNull()

  returns true if the authenticator is null.

### password

    public final java.lang.String password()

  returns the password used for authentication.

  See Also:
    `setPassword`

### realm

    public final java.lang.String realm()

  returns the realm requiring authentication.

### setPassword

    public final void setPassword(java.lang.String password)

  Sets the `password` used for authentication.

  See Also:
    `password`

### setUser

    public final void setUser(java.lang.String user)

  Sets the `user` used for authentication.

  See Also:
    `user`

### user

    public final java.lang.String user()

  returns the user used for authentication.

  See Also:
    `setUser`

### fromNativePointer

    public static QAuthenticator fromNativePointer(QNativePointer nativePointer)

  This function returns the QAuthenticator instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QAuthenticator[] array)

  This function returns a QNativePointer that is pointing to the specified QAuthenticator array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD